edu.wpi.first.wpilibj

## Enum Relay.Direction

- java.lang.Object
- - java.lang.Enum<Relay.Direction>
  - - edu.wpi.first.wpilibj.Relay.Direction

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Relay.Direction>
  Enclosing class:
    Relay

      public static enum Relay.Direction
      extends java.lang.Enum<Relay.Direction>

  The Direction(s) that a relay is configured to operate in.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `kBoth` direction: both directions are valid.
    `kForward` direction: Only forward is valid.
    `kReverse` direction: only reverse is valid.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Relay.Direction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Relay.Direction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### kBoth

          public static final Relay.Direction kBoth

      direction: both directions are valid.

    - #### kForward

          public static final Relay.Direction kForward

      direction: Only forward is valid.

    - #### kReverse

          public static final Relay.Direction kReverse

      direction: only reverse is valid.

  - ### Method Detail

    - #### values

          public static Relay.Direction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Relay.Direction c : Relay.Direction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Relay.Direction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null